#
# spec file for package qt4-qtscript (Version 0.1.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           qt4-qtscript
BuildRequires:  libQtWebKit-devel
Url:            http://code.google.com/p/qtscriptgenerator/
License:        GPL v2 or later
Group:          Development/Libraries/KDE
Summary:        Qt bindings generator for Qt Script
Version:        0.1.0
Release:        3.10
Source0:        qtscript-qt-%version.tar.bz2
Patch0:         qtscript-qt-no_phonon.diff
Patch1:         gcc-44.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_eq    libqt4

%description
Qt Script Generator is a tool that generates Qt bindings for Qt Script.
With the generated bindings you get access to substantial portions of
the Qt API from within Qt Script.



%package doc
Group:          Development/Libraries/KDE
License:        GPL v2 or later
Summary:        Qt bindings generator for Qt Script
Requires:       %{name} = %{version}

%description doc
Qt Script Generator is a tool that generates Qt bindings for Qt Script.
With the generated bindings you get access to substantial portions of
the Qt API from within Qt Script.



%prep
%setup -q -n qtscript-qt-%version
%patch0
%patch1

%build
export QTDIR=/usr
cd generator
qmake
make %{?jobs:-j %jobs}
./generator
cd ../qtbindings
qmake
make %{?jobs:-j %jobs}
cd ..

%install
# copying generated library files
# install doesn't do symlinks  
%{__mkdir_p} %{buildroot}%{_libdir}/qt4/plugins/script/
%{__cp} -a plugins/script/libqtscript* %{buildroot}%{_libdir}/qt4/plugins/script/
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}
install -c -m 644 README       %{buildroot}%{_defaultdocdir}/%{name}/README
install -c -m 644 LICENSE.GPL  %{buildroot}%{_defaultdocdir}/%{name}/LICENSE.GPL
# Copy generated docs in doc/ to doc directory
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}/doc-html
%{__cp} -a doc/* %{buildroot}%{_defaultdocdir}/%{name}/doc-html/

%clean  
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/LICENSE.GPL
%{_libdir}/qt4/plugins/script/libqtscript*

%files doc
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/doc-html

%changelog
* Sat May 23 2009 dmueller@suse.de
- fix build with gcc 4.4
* Wed Mar 25 2009 dmueller@suse.de
- Rename to qt4-qtscript to match openSUSE naming sheme.
  Package is based on qtscript-qt written by Rex Dieter
  and Ian Monroe.
